summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-09-16 14:29:39 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-09-16 14:29:39 +0200
commitc1b0b0ef50fcb3776d4905160203e7c6440f062e (patch)
tree4ea02545fce1442dde3ba31815d6c7862a4877be /sci-libs/ignition-math
parentmedia-video/gpac: fix build with ffmpeg git master. (diff)
downloadgentoo-c1b0b0ef50fcb3776d4905160203e7c6440f062e.tar.gz
gentoo-c1b0b0ef50fcb3776d4905160203e7c6440f062e.tar.bz2
gentoo-c1b0b0ef50fcb3776d4905160203e7c6440f062e.zip
sci-libs/ignition-math: Initial import. Ebuild by me.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'sci-libs/ignition-math')
-rw-r--r--sci-libs/ignition-math/Manifest2
-rw-r--r--sci-libs/ignition-math/ignition-math-1.0.0.ebuild29
-rw-r--r--sci-libs/ignition-math/ignition-math-2.2.2.ebuild29
-rw-r--r--sci-libs/ignition-math/metadata.xml8
4 files changed, 68 insertions, 0 deletions
diff --git a/sci-libs/ignition-math/Manifest b/sci-libs/ignition-math/Manifest
new file mode 100644
index 00000000000..6dd2412a920
--- /dev/null
+++ b/sci-libs/ignition-math/Manifest
@@ -0,0 +1,2 @@
+DIST ignition-math2_2.2.2.tar.bz2 325413 SHA256 e88db3ea1104330d009cd8d5f70e564296d2344a970fb964da9591fea884e2ab SHA512 fc278312a8144438f2db128ad1041bfd9dc8d5f5618827c5e6374dee934a48fe0297a3036c353d5351656e2a7334c21c61c81227b9858e5f585a170291646d9a WHIRLPOOL 675b065f4908b5284b8fbdc970b943677b2b97a5846c1d91290a25bf9a945b58aab0b6e96fe33c7368061aaf1bd88be0db29456d649692a631410583e5043858
+DIST ignition-math_1.0.0.tar.bz2 312262 SHA256 aa7b5fc9a7732a72f2d45c25bea8280b2230fcd52fbc0159cf7f1224257e72f6 SHA512 21199854482c6cf30c345d27fe4975aa30a42f03c2bfb0fd5dfe0bbc309d686f2760a6ccc52f8e47bdf5d5db05fbbdcb2f9393c4a91ee054a78def5df8089950 WHIRLPOOL 7f088aea5bd7f2510043c5aad35e4ca814936159a4596657f2af02dc38bdb5e84db002cbb8f8ab8ed0ff0793af423cfd6d31714d6d56808d41ffeca7e3629e81
diff --git a/sci-libs/ignition-math/ignition-math-1.0.0.ebuild b/sci-libs/ignition-math/ignition-math-1.0.0.ebuild
new file mode 100644
index 00000000000..623882351a6
--- /dev/null
+++ b/sci-libs/ignition-math/ignition-math-1.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils vcs-snapshot flag-o-matic
+
+DESCRIPTION="A small, fast, and high performance math library for robot applications"
+HOMEPAGE="http://ignitionrobotics.org/libraries/math"
+SRC_URI="https://bitbucket.org/ignitionrobotics/ign-math/get/${PN}_${PV}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="1/1"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${PN}_${PV}"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_configure() {
+ # upstream appends this conditionally...
+ append-flags "-fPIC"
+ echo "set (CMAKE_C_FLAGS_ALL \"${CXXFLAGS} \${CMAKE_C_FLAGS_ALL}\")" > "${S}/cmake/HostCFlags.cmake"
+ sed -i -e "s/LINK_FLAGS_RELWITHDEBINFO \" \"/LINK_FLAGS_RELWITHDEBINFO \" ${LDFLAGS} \"/" cmake/DefaultCFlags.cmake || die
+ cmake-utils_src_configure
+}
diff --git a/sci-libs/ignition-math/ignition-math-2.2.2.ebuild b/sci-libs/ignition-math/ignition-math-2.2.2.ebuild
new file mode 100644
index 00000000000..8bc20708763
--- /dev/null
+++ b/sci-libs/ignition-math/ignition-math-2.2.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils vcs-snapshot flag-o-matic
+
+DESCRIPTION="A small, fast, and high performance math library for robot applications"
+HOMEPAGE="http://ignitionrobotics.org/libraries/math"
+SRC_URI="https://bitbucket.org/ignitionrobotics/ign-math/get/${PN}2_${PV}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="2/2"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${PN}2_${PV}"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_configure() {
+ # upstream appends this conditionally...
+ append-flags "-fPIC"
+ echo "set (CMAKE_C_FLAGS_ALL \"${CXXFLAGS} \${CMAKE_C_FLAGS_ALL}\")" > "${S}/cmake/HostCFlags.cmake"
+ sed -i -e "s/LINK_FLAGS_RELWITHDEBINFO \" \"/LINK_FLAGS_RELWITHDEBINFO \" ${LDFLAGS} \"/" cmake/DefaultCFlags.cmake || die
+ cmake-utils_src_configure
+}
diff --git a/sci-libs/ignition-math/metadata.xml b/sci-libs/ignition-math/metadata.xml
new file mode 100644
index 00000000000..e7dd05f6687
--- /dev/null
+++ b/sci-libs/ignition-math/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+<email>aballier@gentoo.org</email>
+<name>Alexis Ballier</name>
+</maintainer>
+</pkgmetadata>